@charset "UTF-8";
/* CSS Document */

input[type="text"], textarea {
	/* margin: 0; */
	width: 100%;
	background-color: white;
}

textarea {
	resize: none;
}

/* 入力欄を大きくする */
input[type="text"], textarea {
	padding: 0.5rem;
	outline: none;
	border: 1px solid #DDD;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px; font-size: 16px;
}

/* フォーカスした入力欄の色を変える */
input[type="text"]:focus, textarea:focus {
	box-shadow: 0 0 7px #3498db;
	border: 1px solid #3498db;
}

/* フォーカスした時に入力欄の幅を伸ばす
input[type="text"] {
	-webkit-transition: all .3s;
	-moz-transition: all .3s;
	transition: all .3s;
	width: 200px;
}
*/
/*
input[type="text"]:focus { width: 300px; }
*/

/* ボタンを大きくする */
 input[type="submit"],input[type="button"] {
	border-radius: 0;
	background: -moz-linear-gradient(top, #FFF 0%, #EEE);
	background: -webkit-gradient(linear, left top, left bottom, from(#FFF), to(#EEE));
width: 120px;

	border: 1px solid #DDD;
	color: #111;
	/* padding: 15px 10px; */
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
    display: inline-flex;
	text-align: center;
vertical-align: middle;
    /*justify-content: center;*//* コンテンツを水平方向に中央揃え */
    /*align-items: center;*//* コンテンツを垂直方向に中央揃え */
    --padding-x: 1.2rem;

}

/* フォーカスしたボタンの色を変える */
input[type="submit"]:hover,input[type="button"]:hover {
	background: -moz-linear-gradient(top, #EFEFEF 0%, #EEE);
	background: -webkit-gradient(linear, left top, left bottom, from(#EFEFEF), to(#EEE));
}
